package jalview.gui;

import java.awt.Component;
import java.util.List;

import javax.swing.DefaultListCellRenderer;
import javax.swing.JComponent;
import javax.swing.JList;

/**
 * A helper class to render a combobox with tooltips
 * 
 * @see http
 *      ://stackoverflow.com/questions/480261/java-swing-mouseover-text-on-jcombobox
 *      -items
 */
public class ComboBoxTooltipRenderer extends DefaultListCellRenderer
{
  private static final long serialVersionUID = 1L;

  List<String> tooltips;

  @Override
  public Component getListCellRendererComponent(JList list, Object value,
          int index, boolean isSelected, boolean cellHasFocus)
  {

    JComponent comp = (JComponent) super.getListCellRendererComponent(list,
            value, index, isSelected, cellHasFocus);

    if (-1 < index && null != value && null != tooltips)
    {
      list.setToolTipText(tooltips.get(index));
    }
    return comp;
  }

  public void setTooltips(List<String> tips)
  {
    this.tooltips = tips;
  }
}
